com.sun.jna.platform.win32

## Class BaseTSD.DWORD_PTR

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.BaseTSD.DWORD_PTR

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  BaseTSD

    public static class BaseTSD.DWORD_PTR
    extends IntegerType

Unsigned DWORD_PTR.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DWORD_PTR()`
`DWORD_PTR(long value)`

### Method Summary

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DWORD_PTR

    public DWORD_PTR()

#### DWORD_PTR

    public DWORD_PTR(long value)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.